Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.dii
Class Request

    java.lang.Object
      |
      +--org.omg.CORBA.Request
            |
            +--org.openorb.CORBA.dii.Request

public class Request
extends Request

This class provides a way to use dynamic request.

Version:
  $Revision: 1.5 $ $Date: 2002/07/16 21:26:16 $
Author:
  Jerome Daniel

Constructor Summary
`Request(Object target, java.lang.String operation, NVList arguments, NamedValue result, Environment env, ExceptionList exceptions, ContextList contexts, ORB orb)` Constructor
`Request(Object target, java.lang.String operation, ORB orb)` Constructor

Method Summary
`Any` | `add_in_arg()` Add an IN argument
`Any` | `add_inout_arg()` Add an INOUT argument
`Any` | `add_named_in_arg(java.lang.String name)` Add an IN argument
`Any` | `add_named_inout_arg(java.lang.String name)` Add an INOUT argument
`Any` | `add_named_out_arg(java.lang.String name)` Add an OUT argument
`Any` | `add_out_arg()` Add an OUT argument
`NVList` | `arguments()` Return the operation arguments
`ContextList` | `contexts()` Return the context list
`Context` | `ctx()` Return the context object
`void` | `ctx(Context c)` Set the context object
`Environment` | `env()` Return the environment value
`ExceptionList` | `exceptions()` Return the exception list
`void` | `get_response()` Get response
`void` | `invoke()` Invoke an operation
`java.lang.String` | `operation()` Return the operation name
`boolean` | `poll_response()` Return TRUE if a response is available
`void` | `prepare(Object p)`
`NamedValue` | `result()` Return the result value
`Any` | `return_value()` Return the value
`void` | `send_deferred()` Send a deferred request
`void` | `send_oneway()` Send a oneway request
`Object` | `sendp()`
`void` | `set_return_type(TypeCode tc)` Set the return type
`Object` | `target()` Return the target object reference

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Request

    public Request(Object target,
                   java.lang.String operation,
                   ORB orb)

  Constructor

### Request

    public Request(Object target,
                   java.lang.String operation,
                   NVList arguments,
                   NamedValue result,
                   Environment env,
                   ExceptionList exceptions,
                   ContextList contexts,
                   ORB orb)

  Constructor

Method Detail

### target

    public Object target()

  Return the target object reference
  Overrides:
    `target` in class `Request`

### operation

    public java.lang.String operation()

  Return the operation name
  Overrides:
    `operation` in class `Request`

### arguments

    public NVList arguments()

  Return the operation arguments
  Overrides:
    `arguments` in class `Request`

### result

    public NamedValue result()

  Return the result value
  Overrides:
    `result` in class `Request`

### env

    public Environment env()

  Return the environment value
  Overrides:
    `env` in class `Request`

### exceptions

    public ExceptionList exceptions()

  Return the exception list
  Overrides:
    `exceptions` in class `Request`

### contexts

    public ContextList contexts()

  Return the context list
  Overrides:
    `contexts` in class `Request`

### ctx

    public Context ctx()

  Return the context object
  Overrides:
    `ctx` in class `Request`

### ctx

    public void ctx(Context c)

  Set the context object
  Overrides:
    `ctx` in class `Request`

### add_in_arg

    public Any add_in_arg()

  Add an IN argument
  Overrides:
    `add_in_arg` in class `Request`

### add_named_in_arg

    public Any add_named_in_arg(java.lang.String name)

  Add an IN argument
  Overrides:
    `add_named_in_arg` in class `Request`

### add_inout_arg

    public Any add_inout_arg()

  Add an INOUT argument
  Overrides:
    `add_inout_arg` in class `Request`

### add_named_inout_arg

    public Any add_named_inout_arg(java.lang.String name)

  Add an INOUT argument
  Overrides:
    `add_named_inout_arg` in class `Request`

### add_out_arg

    public Any add_out_arg()

  Add an OUT argument
  Overrides:
    `add_out_arg` in class `Request`

### add_named_out_arg

    public Any add_named_out_arg(java.lang.String name)

  Add an OUT argument
  Overrides:
    `add_named_out_arg` in class `Request`

### set_return_type

    public void set_return_type(TypeCode tc)

  Set the return type
  Overrides:
    `set_return_type` in class `Request`

### return_value

    public Any return_value()

  Return the value
  Overrides:
    `return_value` in class `Request`

### invoke

    public void invoke()

  Invoke an operation
  Overrides:
    `invoke` in class `Request`

### send_oneway

    public void send_oneway()

  Send a oneway request
  Overrides:
    `send_oneway` in class `Request`

### send_deferred

    public void send_deferred()

  Send a deferred request
  Overrides:
    `send_deferred` in class `Request`

### poll_response

    public boolean poll_response()

  Return TRUE if a response is available
  Overrides:
    `poll_response` in class `Request`

### get_response

    public void get_response()

  Get response
  Overrides:
    `get_response` in class `Request`

### sendp

    public Object sendp()

### prepare

    public void prepare(Object p)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD